[Spacewalk-devel] Re: spacewalk on x86_64

Mike McCune mmccune at redhat.com
Tue Jul 1 19:49:03 EDT 2008


Rob See wrote:
> Mike,
> 
>     I believe you can link against the 64 bit version of the 
> instantclient with perl-DBD-Oracle.
> 
> -Rob

working with that now. will report back with progress.

Thanks for the pointer!

> 
> Mike McCune wrote:
>> Mike McCune wrote:
>>> Update:
>>>
>>> repo is setup and I'm testing the install now.  The rpms install just 
>>> fine.  Working through the db and the spacewalk-setup process.
>>>
>>> Have repo here:
>>>
>>> [spacewalk]
>>> name=Spacewalk
>>> baseurl=http://test08-64.rhndev.redhat.com/repo/yum/rhel/$releasever/$basearch/ 
>>>
>>> gpgcheck=0
>>> enabled=1
>>>
>>> Mike
>> after a bit of testing and hacking ran into a basic problem that I 
>> don't think we have a way around:
>>
>> oracle-xe is 32bit.  perl, perl-DBI and perl-DBD-Oracle are all 64bit. 
>> I can't mix and match a perl-DBD-Oracle 32bit and perl-DBI 64bit.
>>
>> I get lots of:
>>
>>  wrong ELF class: ELFCLASS32 at 
>> /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/DynaLoader.pm
>> line 230.
>>
>> type errors.  I most likely will need to install 64bit Oracle libs 
>> from a standard 10g install to get this thing to go.  Will have to 
>> mention on our wiki that 64bit is only available if you have standard 
>> Oracle (not xe).
>>
>> Thoughts?
>> Mike
> 




More information about the Spacewalk-devel mailing list